Bug 437670 - Bad estimation of time remaining
Bad estimation of time remaining
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 22:46 EDT by Horst H. von Brand
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version: python-urlgrabber-0:3.0.0-6.fc9.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-15 16:44:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2008-03-15 22:46:09 EDT
Description of problem:
Today I installed java-1.6.0-openjdk. The dowload failed halfway through, and
after restaring yum it continued the download (great! it used to start from the
beginning), it estimated a remaining time of 0:01 (no, my Internet connection is
not /that/ fast!)

Version-Release number of selected component (if applicable):
yum-3.2.12-4.fc9.noarch

How reproducible:
No idea.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 James Antill 2008-03-16 21:52:10 EDT
 Yeh, it's a "know" bug that urlgrabber doesn't know the difference between what
it's downloaded and what was there to start with.
 However it gets better over time, so after 10-30 seconds it'll know how fast
you are actually downloading and will give correct times.
 Not sure if this is worth trying to fix.
Comment 2 Horst H. von Brand 2008-03-17 13:35:03 EDT
OK, I thought as much.
Comment 3 James Antill 2008-04-15 16:44:02 EDT
 I fixed this with a couple of other things.

Note You need to log in before you can comment on or make changes to this bug.